Participants (SAPI+)Lookup Peppol participant

Lookup Peppol participant

Lookup podľa DIČ cez SML/SMP. Nenájdený účastník vracia HTTP 200 a found=false, participant=null.

curl -X GET "https://einvoice-v1-ynyiur6quq-ey.a.run.app/v1/sapi-plus/participant/lookup?dic=example_string&schemeId=0245&documentTypeId=example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN (JWT)"
{
  "found": true,
  "participant": {
    "participantId": "example_string",
    "schemeId": "example_string",
    "identifier": "example_string",
    "registeredAt": "2024-12-25T10:00:00Z",
    "capabilities": [
      {
        "documentTypeId": "example_string",
        "processId": "example_string",
        "transportProfile": "example_string"
      }
    ]
  },
  "lookupTimestamp": "2024-12-25T10:00:00Z"
}
GET
/v1/sapi-plus/participant/lookup
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token (JWT)
Bearer Tokenstring
Required

Bearer token (JWT) - just enter the token, "Bearer" prefix will be added automatically

query
dicstring
Required

Slovenské DIČ s prefixom SK alebo bez neho.

query
schemeIdstring

Schéma identifikátora.

query
documentTypeIdstring

Úplný identifikátor podporovaného dokumentu.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token (JWT). Authentication token required.

Query Parameters

dicstring
Required

Slovenské DIČ s prefixom SK alebo bez neho.

schemeIdstring

Schéma identifikátora.

documentTypeIdstring

Úplný identifikátor podporovaného dokumentu.

Responses

foundboolean
participantobject
lookupTimestampstring